--- a/.hgignore Thu Nov 12 11:19:29 2009 +0000
+++ b/.hgignore Thu Nov 12 11:22:29 2009 +0000
@@ -1,7 +1,14 @@
^build/
+^build-stamp$
+^configure-stamp$
+^debian/files$
+^debian/mercurial-server/
+^debian/mercurial-server.
+
syntax: glob
*~
*.pyc
*.orig
*.rej
+
--- a/.hgtags Thu Nov 12 11:19:29 2009 +0000
+++ b/.hgtags Thu Nov 12 11:22:29 2009 +0000
@@ -1,4 +1,6 @@
535502c18eaad098437e49adea1e26a68e4b6d75 release_0.5
975fb921c3f3ffe7ccde5877f2954a5d1141bb14 release_0.6
243dd21d0dbc140957afbe7c9e2afb9caaffee37 release_0.7
+95c9ab8e4bfc6fea6460b3147c3097373eba5d42 debian_0.7
1ad9d5841a48a77f68dc5350bd1f941327a6348a release_0.8
+1e4050abb96e72c6324b93709e56a3e135e63ce1 debian_0.8-1
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/changelog Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,6 @@
+mercurial-server (0.9-1) sid; urgency=low
+
+ * Initial release. (Closes: #555750: ITP: mercurial-server -- provide
+ and manage a shared Mercurial repository)
+
+ -- Paul Crowley <paul@lshift.net> Thu, 12 Nov 2009 11:21:55 +0000
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/compat Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,1 @@
+7
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/control Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,18 @@
+Source: mercurial-server
+Section: devel
+Priority: extra
+Maintainer: Paul Crowley <paul@lshift.net>
+Build-Depends: debhelper (>= 7.0.50~), python-support, xsltproc, docbook-xsl
+Standards-Version: 3.8.3
+Homepage: http://www.lshift.net/mercurial-server.html
+Vcs-Browser: http://hg.opensource.lshift.net/mercurial-server/
+Vcs-Hg: http://hg.opensource.lshift.net/mercurial-server/
+
+Package: mercurial-server
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, adduser, python, mercurial, openssh-server | ssh-server
+Description: provide and manage a shared Mercurial repository
+ mercurial-server makes a group of repositories available to the developers
+ you choose, identified by ssh keys, with easy key and access management
+ based on mercurial.
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/copyright Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,27 @@
+This package was debianized by the upstream author Paul Crowley
+<paul@lshift.net> on Sat, 07 Mar 2009 10:12:02 +0000. Both the package and
+the Debian packaging carry this copyright and license:
+
+Copyright 2008-2009 Paul Crowley <paul@lshift.net>
+Copyright 2008-2009 LShift Ltd.
+
+License:
+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
+ MA 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL-2'.
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/dirs Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,8 @@
+usr/share/mercurial-server
+usr/share/mercurial-server/init
+usr/share/mercurial-server/mercurialserver
+usr/share/doc/mercurial-server
+etc/mercurial-server
+etc/mercurial-server/keys
+etc/mercurial-server/keys/root
+etc/mercurial-server/keys/users
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/doc-base Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,7 @@
+Document: mercurial-server
+Title: mercurial-server manual
+Section: Programming
+
+Format: HTML
+Index: /usr/share/doc/mercurial-server/html/index.html
+Files: /usr/share/doc/mercurial-server/html/*.html
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postinst Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,48 @@
+#!/bin/sh
+# postinst script for mercurial-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ if ! getent passwd hg >/dev/null; then
+ adduser --disabled-password --quiet --system \
+ --shell /bin/sh --group \
+ --home /var/lib/mercurial-server \
+ --gecos "Mercurial repositories" hg
+ su -c "/usr/share/mercurial-server/init/hginit /usr/share/mercurial-server" hg
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postrm Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postrm script for mercurial-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ deluser --quiet --system hg > /dev/null || true
+ delgroup --quiet --system hg > /dev/null || true
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/rules Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,12 @@
+#!/usr/bin/make -f
+%:
+ dh $@
+
+override_dh_auto_install:
+ $(MAKE) installfiles \
+ DESTDIR=./debian/mercurial-server/ \
+ PREFIX=/usr/share
+
+override_dh_pysupport:
+ dh_pysupport /usr/share/mercurial-server/mercurialserver
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/watch Thu Nov 12 11:22:29 2009 +0000
@@ -0,0 +1,5 @@
+# Nothing in this file.
+# I can't find a way to make uscan check for new tags in an
+# http-based Mercurial repository. If there is such a way, please
+# let me know.
+